summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Olivier Esser <olive001@tele2allin.be>2010-05-11 20:01:14 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:14 +0200
commit05f23f38e910787d3e361cff68b6acb37d8d4ff6 (patch)
tree88b1b274a072ff6b3c254b8cabf70c9c683fad69
parentb31ca99d62ec98a7953c8729fd9607c88f273309 (diff)
downloadslackbuilds-05f23f38e910787d3e361cff68b6acb37d8d4ff6.tar.gz
slackbuilds-05f23f38e910787d3e361cff68b6acb37d8d4ff6.tar.xz
multimedia/ekiga: Added to 12.0 repository
-rw-r--r--multimedia/ekiga/README10
-rw-r--r--multimedia/ekiga/doinst.sh5
-rw-r--r--multimedia/ekiga/ekiga-2.0.11-gcc4_fix.diff12
-rw-r--r--multimedia/ekiga/ekiga.SlackBuild74
-rw-r--r--multimedia/ekiga/ekiga.info8
-rw-r--r--multimedia/ekiga/slack-desc19
6 files changed, 128 insertions, 0 deletions
diff --git a/multimedia/ekiga/README b/multimedia/ekiga/README
new file mode 100644
index 0000000000..a44bcf400a
--- /dev/null
+++ b/multimedia/ekiga/README
@@ -0,0 +1,10 @@
+Ekiga (formely known as GnomeMeeting) is an open source VoIP and video
+conferencing application. Ekiga uses both the H.323 and SIP protocols.
+It supports many audio and video codecs, and is interoperable with other
+SIP compliant software and also with Microsoft NetMeeting.
+
+This package will be built without gnome (nor avahi) support. This will
+break the Help button (probably because it requires the gnome help system)
+but it is not otherwise very useful.
+
+This requires pwlib and opal (both available at SlackBuilds.org).
diff --git a/multimedia/ekiga/doinst.sh b/multimedia/ekiga/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/multimedia/ekiga/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/ekiga/ekiga-2.0.11-gcc4_fix.diff b/multimedia/ekiga/ekiga-2.0.11-gcc4_fix.diff
new file mode 100644
index 0000000000..2b31bead5c
--- /dev/null
+++ b/multimedia/ekiga/ekiga-2.0.11-gcc4_fix.diff
@@ -0,0 +1,12 @@
+diff -Nur ekiga-2.0.11.orig/lib/gmconf/gmconf-glib.c ekiga-2.0.11/lib/gmconf/gmconf-glib.c
+--- ekiga-2.0.11.orig/lib/gmconf/gmconf-glib.c 2007-09-18 04:00:21.000000000 -0500
++++ ekiga-2.0.11/lib/gmconf/gmconf-glib.c 2007-12-09 01:50:26.380594315 -0600
+@@ -1473,7 +1473,7 @@
+ }
+
+ gboolean
+-gm_conf_is_key_writable (gchar *key)
++gm_conf_is_key_writable (const gchar *key)
+ {
+ g_return_val_if_fail (key != NULL, FALSE);
+
diff --git a/multimedia/ekiga/ekiga.SlackBuild b/multimedia/ekiga/ekiga.SlackBuild
new file mode 100644
index 0000000000..1ea14fd9bf
--- /dev/null
+++ b/multimedia/ekiga/ekiga.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for Ekiga
+
+# Written by Olivier Esser (olive001@tele2allin.be), based on
+# the template available at slackbuilds.org (public domain)
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=ekiga
+VERSION=2.0.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Small patch to allow building on gcc-4.x
+patch -p1 < $CWD/ekiga-2.0.11-gcc4_fix.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-gnome \
+ --disable-avahi
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog FAQ INSTALL \
+ LICENSE MAINTAINERS NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/ekiga/ekiga.info b/multimedia/ekiga/ekiga.info
new file mode 100644
index 0000000000..8358069c9e
--- /dev/null
+++ b/multimedia/ekiga/ekiga.info
@@ -0,0 +1,8 @@
+PRGNAM="ekiga"
+VERSION="2.0.11"
+HOMEPAGE="http://ekiga.org"
+DOWNLOAD="http://www.ekiga.org/admin/downloads/latest/sources/sources/ekiga-2.0.11.tar.gz"
+MD5SUM="684865225d77898e10e960f3a286b894"
+MAINTAINER="Olivier Esser"
+EMAIL="olive001@tele2allin.be"
+APPROVED="rworkman"
diff --git a/multimedia/ekiga/slack-desc b/multimedia/ekiga/slack-desc
new file mode 100644
index 0000000000..02e1dbf865
--- /dev/null
+++ b/multimedia/ekiga/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ekiga: Ekiga (VoIP and video conferencing application)
+ekiga:
+ekiga: Ekiga (formely known as GnomeMeeting) is an open source VoIP and
+ekiga: video conferencing application. Ekiga uses both the H.323 and SIP
+ekiga: protocols.
+ekiga:
+ekiga: It supports many audio and video codecs, and is interoperable with
+ekiga: other SIP compliant software and also with Microsoft NetMeeting.
+ekiga:
+ekiga:
+ekiga: